跳转到主要内容
POST
/
v1
/
images
/
edits
bytedance-Image Editing (seededit)
curl --request POST \
  --url https://api.cometapi.com/v1/images/edits \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form image='@example-file' \
  --form 'prompt=Put on glasses'
{
  "model": "<string>",
  "created": 123,
  "data": [
    {
      "url": "<string>"
    }
  ],
  "usage": {
    "generated_images": 123,
    "output_tokens": 123,
    "total_tokens": 123
  }
}

概述

通过标准 OpenAI 兼容的 /v1/images/edits 接口,使用 ByteDance 的 SeedEdit 模型编辑图像。支持基于 Prompt 的编辑、蒙版和变体。 有关详细参数文档,请参阅 VolcEngine SeedEdit 文档

授权

Authorization
string
header
必填

Bearer token authentication. Use your CometAPI key.

请求体

multipart/form-data
image
file
必填

Incoming images need to fulfill the following conditions: Image format: jpeg, png. Aspect ratio (width/height): in the range (1/3, 3). Aspect length (px) > 14. Size: no more than 10MB.

prompt
string
必填

A text description of the desired image(s).

  • Max length: 1000 chars for dall-e-3, 32000 chars for gpt-image-1.
示例:

"Put on glasses"

model
string

Model to use: bytedance-seedEdit-3.0-i2i, doubao-seededit-3-0-i2i-250628, seedream-4-0-250828

示例:

"bytedance-seedEdit-3.0-i2i"

response_format
enum<string>

Response format. Options: "url" or "b64_json". Only "dall-e-3" supports "url" (valid for 60 minutes).

可用选项:
url,
b64_json
size
string

Output image size. Use adaptive to match the input image dimensions.

示例:

"adaptive"

seed
integer
默认值:-1

Random seed for reproducible outputs. Range: -1 to 2147483647. Use -1 (default) for random generation.

guidance_scale
number

Controls how strongly the prompt influences the result vs. the input image. Range: 1.0–10.0. Higher values follow the prompt more closely.

watermark
boolean
默认值:true

When true, adds an 'AI Generated' watermark to the bottom-right corner of the output image.

响应

200 - application/json

success

model
string
必填
created
integer
必填
data
object[]
必填
usage
object
必填